Home page logo
/

bugtraq logo Bugtraq mailing list archives

UnixWare 7.1.4 : Mozilla updated to 1.7.8 fixes security issues
From: please_reply_to_security () sco com
Date: Fri, 1 Jul 2005 15:11:54 -0700


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


______________________________________________________________________________

                        SCO Security Advisory

Subject:                UnixWare 7.1.4 : Mozilla updated to 1.7.8 fixes security issues
Advisory number:        SCOSA-2005.29
Issue date:             2005 July 01
Cross reference:        sr893376 fz531626 erg712820 sr892164 fz530485 erg712734 sr891008 fz529877 erg712655 
CAN-2005-1476 CAN-2005-1477 CAN-2005-1531 CAN-2005-1532 CAN-2005-0989 CAN-2005-1153 CAN-2005-1154 CAN-2005-1155 
CAN-2005-1156 CAN-2005-1157 CAN-2005-1159 CAN-2005-1160
______________________________________________________________________________


1. Problem Description

        Fixed in Mozilla 1.7.8 

          MFSA 2005-44 Privilege escalation via non-DOM property overrides
          MFSA 2005-43 "Wrapped" javascript urls bypass security checks 
          MFSA 2005-42 Code execution via javascript: IconURL 

        The Common Vulnerabilities and Exposures project (cve.mitre.org) 
        has assigned the names CAN-2005-1476, CAN-2005-1477, CAN-2005-1531, 
        and CAN-2005-1532 to these issues. 

        Fixed in Mozilla 1.7.7 

          MFSA 2005-33 Javascript "lambda" replace exposes memory contents
          MFSA 2005-35 popup uses wrong privilege context 
          MFSA 2005-36 Cross-site scripting through global scope pollution 
          MFSA 2005-37 Code execution through javascript: favicons 
          MFSA 2005-38 Search plugin cross-site scripting 
          MFSA 2005-40 Missing Install object instance checks 
          MFSA 2005-41 Privilege escalation via DOM property overrides 
        
        The Common Vulnerabilities and Exposures project (cve.mitre.org)
        has assigned the following names for these issues: CAN-2005-0989, 
        CAN-2005-1153, CAN-2005-1154, CAN-2005-1155, CAN-2005-1156, 
        CAN-2005-1157, CAN-2005-1159, CAN-2005-1160.


2. Vulnerable Supported Versions

        System                          Binaries
        ----------------------------------------------------------------------
        UnixWare 7.1.4                  distribution

3. Solution

        The proper solution is to install the latest packages.


4. UnixWare 7.1.4

        4.1 Location of Fixed Binaries

        ftp://ftp.sco.com/pub/updates/UnixWare/SCOSA-2005.29

        4.2 Verification

        MD5 (mozilla.image) = 71827da87c708125b3c9fa317755e7a7

        md5 is available for download from
                ftp://ftp.sco.com/pub/security/tools

        4.3 Installing Fixed Binaries

        Upgrade the affected binaries with the following sequence:

        Download mozilla.image.pkg to the /var/spool/pkg directory

        # pkgadd -d /var/spool/pkg/mozilla.image.pkg


5. References

        Specific references for this advisory:
                http://www.mozilla.org/projects/security/known-vulnerabilities.html#Mozilla 
                http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1476 
                http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1477 
                http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1531 
                http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1532 
                http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-0989 
                http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1153 
                http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1154 
                http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1155 
                http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1156 
                http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1157 
                http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1159 
                http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1160

        SCO security resources:
                http://www.sco.com/support/security/index.html

        SCO security advisories via email
                http://www.sco.com/support/forums/security.html

        This security fix closes SCO incidents sr893376 fz531626
        erg712820 sr892164 fz530485 erg712734 sr891008 fz529877
        erg712655.


6. Disclaimer

        SCO is not responsible for the misuse of any of the information
        we provide on this website and/or through our security
        advisories. Our advisories are a service to our customers
        intended to promote secure installation and use of SCO
        products.

______________________________________________________________________________

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (SCO/SYSV)

iD8DBQFCxbiXaqoBO7ipriERAji3AJ9rBN/wUwwXcBVYemy19pyw+oeusgCglSq/
yCBgL6LwkzfRzdO4js9ZzX4=
=IhiA
-----END PGP SIGNATURE-----


  By Date           By Thread  

Current thread:
  • UnixWare 7.1.4 : Mozilla updated to 1.7.8 fixes security issues please_reply_to_security (Jul 02)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]